### Method

# Fwupd Codec from_json_string

#### Declaration [src]

    gboolean
    fwupd_codec_from_json_string (
      FwupdCodec* self,
      const gchar* json,
      GError** error
    )

#### Description [src]

Converts an object that implements `FwupdCodec` from a JSON string.

Available since: | 2.0.0

#### Parameters

`json` | `const gchar*`
| JSON text.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` on success.